<ion-header>
  <ion-toolbar class="cssion-toolbar">
    <ion-buttons slot="start">
      <ion-menu-button style="color: white;"></ion-menu-button>
    </ion-buttons>
    <ion-title>
      Use Vetcoins
    </ion-title>
    <ion-buttons (click)="Resetpage()" slot="end" style="font-size: 1.8rem;">
      <ion-icon name="refresh"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
  

</ion-header>




<ion-content>
  <form [formGroup]="formvet">

  <ion-card style="text-align: center;">
    <ion-card-content>
      <ion-row>
        <ion-col>
          <!-- <img src="http://placehold.it/300x200" class="custom-avatar"/> -->
          <!-- <ion-icon name="cloud-circle" style="color: #F39E20;"></ion-icon> -->
          <ion-label>
            {{loginauth.defaultprofile[0].name}}
          </ion-label>
        </ion-col>
      </ion-row>

      <ion-row (click)="shareto()">
        <ion-col>
         <ion-label>
            Share your referral Code {{referalcode}}
           
            <ion-icon name="share" style="font-size: x-large;"></ion-icon>
          
          </ion-label>
        </ion-col>
      </ion-row>


      <ion-row>
        <ion-col>
          <ion-item>
            <ion-label position="stacked">Enter customer mobile to redeem VetCoins in his/her account</ion-label>
            <ion-input type="number"  formControlName="mobileno" style="padding-top: 21px!important;"></ion-input>
          </ion-item>
          <div padding-left>
            <ng-container *ngFor="let validation of validation_messages.mobileno">
              <div *ngIf="formvet.get('mobileno').hasError(validation.type) && formvet.get('mobileno').touched">
                <p style="color: red;font-size: small;">{{validation.message}}</p>
              </div>
            </ng-container>
          </div>
        </ion-col>
      </ion-row>

      <div class="ion-padding">
            <ion-button color="orangevet" expand="block" text-center (click)="onCheckVetCoins()" [disabled]="!formvet.valid">Check VetCoins</ion-button>
</div>
          

    </ion-card-content>
  </ion-card>
</form>
</ion-content>
